import facebook
from .models import FacebookPage


def get_page_reviews(page_id):
    token = FacebookPage.objects.get(id=page_id).token
    api = facebook.GraphAPI(access_token=token, version='3.1')
    response = api.get_object(
        id=page_id,
        fields='ratings.fields(open_graph_story,reviewer)'
    )
    # reviews has two fields ['ratings', 'id']
    ratings = response.get('ratings')
    # ratings has one field ['data'] which contain all reviews
    data = ratings.get('data')
    return data


def store_reviews_into_db(reviews):
    pass
